package com.bonus.canteen.core.device.door.dto.terminal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DcTerminalVo {
   private Long id;
   @ApiModelProperty("设备类型")
   private Integer terminalType;
   @ApiModelProperty("设备编号")
   private Integer terminalNo;
   @ApiModelProperty("楼宇id")
   private Integer buildId;
   @ApiModelProperty("设备名称")
   private String terminalName;
   @ApiModelProperty("是否在线")
   private Boolean isalive;
   @ApiModelProperty("ip 地址")
   private String ipAddress;
   @ApiModelProperty("ip 端口")
   private String ipPort;
   @ApiModelProperty("mac 地址")
   private String macAddress;
   @ApiModelProperty("序列号")
   private String serialNo;
   private Integer modelId;
   @ApiModelProperty("设备类型")
   private String modeName;
   @ApiModelProperty("固件版本")
   private String fwVersion;
   @ApiModelProperty("备注")
   private String note;
   @ApiModelProperty("门禁设备类型 1 门禁 2 考勤")
   private String deviceCategory;
   @ApiModelProperty("创建时间")
   @TableField(
      fill = FieldFill.INSERT
   )
   private LocalDateTime crtime;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   @TableField(
      fill = FieldFill.UPDATE
   )
   private LocalDateTime uptime;
   private String buildName;

   public Long getId() {
      return this.id;
   }

   public Integer getTerminalType() {
      return this.terminalType;
   }

   public Integer getTerminalNo() {
      return this.terminalNo;
   }

   public Integer getBuildId() {
      return this.buildId;
   }

   public String getTerminalName() {
      return this.terminalName;
   }

   public Boolean getIsalive() {
      return this.isalive;
   }

   public String getIpAddress() {
      return this.ipAddress;
   }

   public String getIpPort() {
      return this.ipPort;
   }

   public String getMacAddress() {
      return this.macAddress;
   }

   public String getSerialNo() {
      return this.serialNo;
   }

   public Integer getModelId() {
      return this.modelId;
   }

   public String getModeName() {
      return this.modeName;
   }

   public String getFwVersion() {
      return this.fwVersion;
   }

   public String getNote() {
      return this.note;
   }

   public String getDeviceCategory() {
      return this.deviceCategory;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getBuildName() {
      return this.buildName;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setTerminalType(final Integer terminalType) {
      this.terminalType = terminalType;
   }

   public void setTerminalNo(final Integer terminalNo) {
      this.terminalNo = terminalNo;
   }

   public void setBuildId(final Integer buildId) {
      this.buildId = buildId;
   }

   public void setTerminalName(final String terminalName) {
      this.terminalName = terminalName;
   }

   public void setIsalive(final Boolean isalive) {
      this.isalive = isalive;
   }

   public void setIpAddress(final String ipAddress) {
      this.ipAddress = ipAddress;
   }

   public void setIpPort(final String ipPort) {
      this.ipPort = ipPort;
   }

   public void setMacAddress(final String macAddress) {
      this.macAddress = macAddress;
   }

   public void setSerialNo(final String serialNo) {
      this.serialNo = serialNo;
   }

   public void setModelId(final Integer modelId) {
      this.modelId = modelId;
   }

   public void setModeName(final String modeName) {
      this.modeName = modeName;
   }

   public void setFwVersion(final String fwVersion) {
      this.fwVersion = fwVersion;
   }

   public void setNote(final String note) {
      this.note = note;
   }

   public void setDeviceCategory(final String deviceCategory) {
      this.deviceCategory = deviceCategory;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setBuildName(final String buildName) {
      this.buildName = buildName;
   }

}
